## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ibis
Version:        0.14.0
Release:        %autorelease
Summary:        GObject-based IRCv3 library

License:        LGPL-2.1-or-later
URL:            https://keep.imfreedom.org/ibis/ibis
Source:         https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz
Source1:        https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.xz.asc
Source2:        https://keybase.io/grim/pgp_keys.asc

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen >= 2025.3
BuildRequires:  meson >= 1
BuildRequires:  pkgconfig(birb) >= 0.3.1
BuildRequires:  pkgconfig(glib-2.0) >= 2.80
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(hasl) >= 0.4.0
BuildRequires:  pkgconfig(pango) >= 1.54.0

%description
%{summary}


%package devel
Summary:        Development files for %{name}

%description devel
%{summary}


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md AUTHORS ChangeLog
%license LICENSE
%{_libdir}/libibis.so.0
%{_libdir}/libibis.so.%{version}
%{_libdir}/girepository-1.0/Ibis-1.0.typelib

%files devel
%doc %{_docdir}/ibis/
%{_includedir}/ibis-1.0/
%{_libdir}/libibis.so
%{_libdir}/pkgconfig/ibis.pc
%{_datadir}/gir-1.0/Ibis-1.0.gir

%changelog
## START: Generated by rpmautospec
* Thu Jul 03 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.14.0-1
- Update to latest version

* Wed Feb 05 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.2-1
- Update to latest version

* Sat Feb 01 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.1-1
- Update to latest version

* Wed Jan 22 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.0-1
- Initial commit
## END: Generated by rpmautospec
